%{?mingw_package_header}

%global pkgname leptonica

Name:          mingw-%{pkgname}
Version:       1.73
Release:       %mkrel 2
Summary:       MinGW Windows Leptonica library

License:       Leptonica
Group:         Development/Other
BuildArch:     noarch
URL:           http://code.google.com/p/leptonica/
Source0:       http://www.leptonica.com/source/%{pkgname}-%{version}.tar.gz

# Until new upstream version is released with Patch0
BuildRequires: autoconf 
BuildRequires: automake 
BuildRequires: libtool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-libjpeg-turbo
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-libpng
BuildRequires: mingw32-zlib
BuildRequires: mingw32-giflib
BuildRequires: mingw32-libwebp

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-libjpeg-turbo
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-libpng
BuildRequires: mingw64-zlib
BuildRequires: mingw64-giflib
BuildRequires: mingw64-libwebp


%description
MinGW Windows Leptonica library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows Leptonica library

%description -n mingw32-%{pkgname}
MinGW Windows Leptonica library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows Leptonica library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows Leptonica library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows Leptonica library

%description -n mingw64-%{pkgname}
MinGW Windows Leptonica library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows Leptonica library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows Leptonica library.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}


%build
autoreconf -ifv
%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=%{buildroot}

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Delete *.exe files
rm -rf %{buildroot}%{mingw32_bindir}/*.exe
rm -rf %{buildroot}%{mingw64_bindir}/*.exe


%files -n mingw32-%{pkgname}
%license leptonica-license.txt
%doc README.html version-notes.html
%{mingw32_bindir}/liblept-5.dll
%{mingw32_includedir}/leptonica/
%{mingw32_libdir}/liblept.dll.a
%{mingw32_libdir}/pkgconfig/lept.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/liblept.a

%files -n mingw64-%{pkgname}
%license leptonica-license.txt
%doc README.html version-notes.html
%{mingw64_bindir}/liblept-5.dll
%{mingw64_includedir}/leptonica/
%{mingw64_libdir}/liblept.dll.a
%{mingw64_libdir}/pkgconfig/lept.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/liblept.a




%changelog
* Wed May 11 2016 tv <tv> 1.73-2.mga6
+ Revision: 1012919
- rebuild for new mingw-{giflib,libwebp}

* Wed May 11 2016 tv <tv> 1.73-1.mga6
+ Revision: 1012704
- new release

* Wed Feb 03 2016 umeabot <umeabot> 1.69-8.mga6
+ Revision: 933351
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.69-7.mga5
+ Revision: 746916
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.69-6.mga5
+ Revision: 682466
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 1.69-5.mga4
+ Revision: 547699
- imported package mingw-leptonica

